Unable to upload picrust2 in qiime2 environment

Hi,

I am facing problem while uploading picrust2 in qiime2 environment. I installed latest version of qiime2 i.e. qiime2-2021.8. I followed the steps given in this link: QIIME 2 Library

Attached is the screenshot of error:

I would be grateful if you help me in this regard.

Thank you.

Hi @Aditya!

That error is telling you that there is no 2021.8 version of q2-picrust2. You can confirm that here:

https://anaconda.org/gavinmdouglas/q2-picrust2/files

Hi @thermokarst

Thank you for your response. But, how to download qiime2-2021.2 for q2-picrust2 because I have latest version of qiime2 which is not supporting picrust2. I am following the steps given on this website: QIIME 2 Library

Thank you

Hi @Aditya - I'm not one of the q2-picrust2 developers, so I'm not too sure what the issue is, but please make sure you follow the instructions exactly as they are posted on that page - the command you shared above shows that you have changed the command.

Hi @thermokarst ,

In order to follow the exact instructions posted on their page, I need to install qiime2 as "qiime2-2021.2".
Can you please let me know how to download an older version of qiime2. Presently, I have installed "qiime2-2021.8" in my system.

Thank you,

With regards,
Aditya

Please see the installation guide:

https://docs.qiime2.org/2021.2/install/